public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/sci:master commit in: sci-libs/spyking-circus/
@ 2019-10-08 14:43 Horea Christian
  0 siblings, 0 replies; 7+ messages in thread
From: Horea Christian @ 2019-10-08 14:43 UTC (permalink / raw
  To: gentoo-commits

commit:     85c146f1b5cdc1ac126b798e40b73b180a8c57cd
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Tue Oct  8 14:43:01 2019 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Tue Oct  8 14:43:01 2019 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=85c146f1

sci-libs/spyking-circus: new package

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/spyking-circus/metadata.xml               | 15 ++++++++++
 .../spyking-circus/spyking-circus-0.8.3.ebuild     | 35 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/sci-libs/spyking-circus/metadata.xml b/sci-libs/spyking-circus/metadata.xml
new file mode 100644
index 000000000..aca30bb27
--- /dev/null
+++ b/sci-libs/spyking-circus/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>chr@chymera.eu</email>
+		<name>Horea Christian</name>
+	</maintainer>
+	<longdescription lang="en">
+		SpyKING CIRCUS is a Python code to allow fast spike sorting on multi
+		channel recordings. A publication on the algorithm can be found at
+		https://elifesciences.org/articles/34518 . The software has been tested
+		on datasets coming from in vitro retina with 252 electrodes MEA, from in
+		vivo hippocampus with tetrodes, and in vivo and in vitro cortex data.
+	</longdescription>
+</pkgmetadata>

diff --git a/sci-libs/spyking-circus/spyking-circus-0.8.3.ebuild b/sci-libs/spyking-circus/spyking-circus-0.8.3.ebuild
new file mode 100644
index 000000000..b5eca209c
--- /dev/null
+++ b/sci-libs/spyking-circus/spyking-circus-0.8.3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Fast and scalable spike sorting in Python"
+HOMEPAGE="http://spyking-circus.rtfd.org"
+SRC_URI="https://github.com/spyking-circus/spyking-circus/archive/${PV}.tar.gz"
+
+LICENSE="CeCILL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="test"
+
+RDEPEND="
+	dev-python/mpi4py[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/cython[${PYTHON_USEDEP}]
+	sci-libs/scipy[${PYTHON_USEDEP}]
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	dev-python/h5py[${PYTHON_USEDEP}]
+	dev-python/colorama[${PYTHON_USEDEP}]
+	dev-python/psutil[${PYTHON_USEDEP}]
+	dev-python/tqdm[${PYTHON_USEDEP}]
+	dev-python/blosc[${PYTHON_USEDEP}]
+	dev-python/statsmodels[${PYTHON_USEDEP}]
+	sci-libs/scikits_learn[${PYTHON_USEDEP}]
+"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+"


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/spyking-circus/
@ 2020-03-24 23:02 Horea Christian
  0 siblings, 0 replies; 7+ messages in thread
From: Horea Christian @ 2020-03-24 23:02 UTC (permalink / raw
  To: gentoo-commits

commit:     cf6cfaaf7c4b4ce17950bc3cdd89010c9a072914
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Tue Mar 24 23:02:42 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Tue Mar 24 23:02:42 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=cf6cfaaf

sci-libs/spyking-circus: version bump 0.9.6

and PYTHON_COMPAT update to 3_7

Package-Manager: Portage-2.3.95, Repoman-2.3.21
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 ...rcus-0.8.3.ebuild => spyking-circus-0.9.6.ebuild} | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

diff --git a/sci-libs/spyking-circus/spyking-circus-0.8.3.ebuild b/sci-libs/spyking-circus/spyking-circus-0.9.6.ebuild
similarity index 69%
rename from sci-libs/spyking-circus/spyking-circus-0.8.3.ebuild
rename to sci-libs/spyking-circus/spyking-circus-0.9.6.ebuild
index b5eca209c..8d77b3150 100644
--- a/sci-libs/spyking-circus/spyking-circus-0.8.3.ebuild
+++ b/sci-libs/spyking-circus/spyking-circus-0.9.6.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6} )
+PYTHON_COMPAT=( python3_{6,7} )
 
 inherit distutils-r1
 
@@ -13,8 +13,7 @@ SRC_URI="https://github.com/spyking-circus/spyking-circus/archive/${PV}.tar.gz"
 LICENSE="CeCILL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
-RESTRICT="test"
+IUSE="test"
 
 RDEPEND="
 	dev-python/mpi4py[${PYTHON_USEDEP}]
@@ -28,8 +27,13 @@ RDEPEND="
 	dev-python/tqdm[${PYTHON_USEDEP}]
 	dev-python/blosc[${PYTHON_USEDEP}]
 	dev-python/statsmodels[${PYTHON_USEDEP}]
-	sci-libs/scikits_learn[${PYTHON_USEDEP}]
-"
-DEPEND="
-	dev-python/setuptools[${PYTHON_USEDEP}]
 "
+DEPEND=""
+
+# Tests do not yet work as per upstream, also a qt5 dependency may need to be added for them in the future:
+# https://github.com/spyking-circus/spyking-circus/issues/234
+
+RESTRICT="test"
+python_test() {
+	nosetests || die "Tests failed under ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/spyking-circus/
@ 2020-12-06  4:48 Horea Christian
  0 siblings, 0 replies; 7+ messages in thread
From: Horea Christian @ 2020-12-06  4:48 UTC (permalink / raw
  To: gentoo-commits

commit:     44974e46cb4e4d4b2f9625ae2c34839b94c42fab
Author:     Thawann Malfatti <malfatti <AT> disroot <DOT> org>
AuthorDate: Mon Aug 24 19:07:04 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Sun Dec  6 04:09:17 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=44974e46

sci-libs/spyking-circus: version bump and fix dependencies

Update PYTHON_COMPAT and change scipy full atom

Change MPI dependency

Add back original MPI constraint

Remove blank line, sort keywords and update dependency name

Signed-off-by: Horea Christian <chr <AT> chymera.eu>
Closes: https://github.com/gentoo/sci/pull/965

 sci-libs/spyking-circus/metadata.xml               |  4 +++
 .../spyking-circus/spyking-circus-0.9.9.ebuild     | 34 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/sci-libs/spyking-circus/metadata.xml b/sci-libs/spyking-circus/metadata.xml
index aca30bb27..35433c3ae 100644
--- a/sci-libs/spyking-circus/metadata.xml
+++ b/sci-libs/spyking-circus/metadata.xml
@@ -5,6 +5,10 @@
 		<email>chr@chymera.eu</email>
 		<name>Horea Christian</name>
 	</maintainer>
+	<maintainer type="person">
+		<email>malfatti@disroot.org</email>
+		<name>T Malfatti</name>
+	</maintainer>
 	<longdescription lang="en">
 		SpyKING CIRCUS is a Python code to allow fast spike sorting on multi
 		channel recordings. A publication on the algorithm can be found at

diff --git a/sci-libs/spyking-circus/spyking-circus-0.9.9.ebuild b/sci-libs/spyking-circus/spyking-circus-0.9.9.ebuild
new file mode 100644
index 000000000..ec6f5ee6c
--- /dev/null
+++ b/sci-libs/spyking-circus/spyking-circus-0.9.9.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Fast spike sorting by template matching"
+HOMEPAGE="https://github.com/spyking-circus/spyking-circus/"
+SRC_URI="https://github.com/spyking-circus/spyking-circus/archive/${PV}.tar.gz"
+LICENSE="CeCILL-2"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+	>=dev-python/blosc-1.8[${PYTHON_USEDEP}]
+	>=dev-python/colorama-0.4.1[${PYTHON_USEDEP}]
+	>=dev-python/cython-0.29.14[${PYTHON_USEDEP}]
+	>=dev-python/h5py-2.9.0[${PYTHON_USEDEP}]
+	>=dev-python/matplotlib-2.2.4[${PYTHON_USEDEP}]
+	>=dev-python/mpi4py-3.0.0[${PYTHON_USEDEP}]
+	>=dev-python/numpy-1.17.4[${PYTHON_USEDEP}]
+	>=dev-python/pandas-0.21[${PYTHON_USEDEP}]
+	>=dev-python/psutil-5.6.7[${PYTHON_USEDEP}]
+	>=dev-python/statsmodels-0.10.1[${PYTHON_USEDEP}]
+	>=dev-python/tqdm-4.40.0[${PYTHON_USEDEP}]
+	>=dev-python/scipy-1.3.1[${PYTHON_USEDEP}]
+	>=sci-libs/scikit-learn-0.21.3
+	|| ( <=sys-cluster/openmpi-3.0.0 >=sys-cluster/mpich-2.0 )
+"
+DEPEND="${RDEPEND}"


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/spyking-circus/
@ 2020-12-31 13:54 Aisha Tammy
  0 siblings, 0 replies; 7+ messages in thread
From: Aisha Tammy @ 2020-12-31 13:54 UTC (permalink / raw
  To: gentoo-commits

commit:     b6aeb6766d4080589509466509a2450e7dcf81d6
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Dec 31 13:41:51 2020 +0000
Commit:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
CommitDate: Thu Dec 31 13:54:20 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=b6aeb676

sci-libs/spyking-circus: version bump, bump py targets

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Closes: https://github.com/gentoo/sci/pull/1019
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>

 .../spyking-circus/spyking-circus-0.9.6.ebuild     | 39 ----------------------
 ...us-0.9.9.ebuild => spyking-circus-1.0.6.ebuild} | 12 +++++--
 2 files changed, 9 insertions(+), 42 deletions(-)

diff --git a/sci-libs/spyking-circus/spyking-circus-0.9.6.ebuild b/sci-libs/spyking-circus/spyking-circus-0.9.6.ebuild
deleted file mode 100644
index 8c610c478..000000000
--- a/sci-libs/spyking-circus/spyking-circus-0.9.6.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
-
-inherit distutils-r1
-
-DESCRIPTION="Fast and scalable spike sorting in Python"
-HOMEPAGE="http://spyking-circus.rtfd.org"
-SRC_URI="https://github.com/spyking-circus/spyking-circus/archive/${PV}.tar.gz"
-
-LICENSE="CeCILL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="
-	dev-python/mpi4py[${PYTHON_USEDEP}]
-	dev-python/numpy[${PYTHON_USEDEP}]
-	dev-python/cython[${PYTHON_USEDEP}]
-	dev-python/scipy[${PYTHON_USEDEP}]
-	dev-python/matplotlib[${PYTHON_USEDEP}]
-	dev-python/h5py[${PYTHON_USEDEP}]
-	dev-python/colorama[${PYTHON_USEDEP}]
-	dev-python/psutil[${PYTHON_USEDEP}]
-	dev-python/tqdm[${PYTHON_USEDEP}]
-	dev-python/blosc[${PYTHON_USEDEP}]
-	dev-python/statsmodels[${PYTHON_USEDEP}]
-"
-DEPEND=""
-
-# Tests do not yet work as per upstream, also a qt5 dependency may need to be added for them in the future:
-# https://github.com/spyking-circus/spyking-circus/issues/234
-
-RESTRICT="test"
-python_test() {
-	nosetests || die "Tests failed under ${EPYTHON}"
-}

diff --git a/sci-libs/spyking-circus/spyking-circus-0.9.9.ebuild b/sci-libs/spyking-circus/spyking-circus-1.0.6.ebuild
similarity index 85%
rename from sci-libs/spyking-circus/spyking-circus-0.9.9.ebuild
rename to sci-libs/spyking-circus/spyking-circus-1.0.6.ebuild
index ec6f5ee6c..b0881a38a 100644
--- a/sci-libs/spyking-circus/spyking-circus-0.9.9.ebuild
+++ b/sci-libs/spyking-circus/spyking-circus-1.0.6.ebuild
@@ -3,17 +3,20 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6..8} )
+PYTHON_COMPAT=( python3_{7..9} )
 
 inherit distutils-r1
 
 DESCRIPTION="Fast spike sorting by template matching"
 HOMEPAGE="https://github.com/spyking-circus/spyking-circus/"
 SRC_URI="https://github.com/spyking-circus/spyking-circus/archive/${PV}.tar.gz"
-LICENSE="CeCILL-2"
 
+LICENSE="CeCILL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~x86"
+
+# TODO: Fix this
+RESTRICT="test"
 
 RDEPEND="
 	>=dev-python/blosc-1.8[${PYTHON_USEDEP}]
@@ -32,3 +35,6 @@ RDEPEND="
 	|| ( <=sys-cluster/openmpi-3.0.0 >=sys-cluster/mpich-2.0 )
 "
 DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs_sphinx --no-autodoc
+distutils_enable_tests --install pytest


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/spyking-circus/
@ 2021-01-10 18:45 Andrew Ammerlaan
  0 siblings, 0 replies; 7+ messages in thread
From: Andrew Ammerlaan @ 2021-01-10 18:45 UTC (permalink / raw
  To: gentoo-commits

commit:     38a24b1f082d0f2393c25ce2c8cf0b84d11fc213
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Jan 10 18:44:22 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Jan 10 18:44:22 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=38a24b1f

sci-libs/spyking-circus: correct name in SRC_URI

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 sci-libs/spyking-circus/spyking-circus-1.0.6.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/spyking-circus/spyking-circus-1.0.6.ebuild b/sci-libs/spyking-circus/spyking-circus-1.0.6.ebuild
index b0881a38a..f453c6986 100644
--- a/sci-libs/spyking-circus/spyking-circus-1.0.6.ebuild
+++ b/sci-libs/spyking-circus/spyking-circus-1.0.6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -9,7 +9,7 @@ inherit distutils-r1
 
 DESCRIPTION="Fast spike sorting by template matching"
 HOMEPAGE="https://github.com/spyking-circus/spyking-circus/"
-SRC_URI="https://github.com/spyking-circus/spyking-circus/archive/${PV}.tar.gz"
+SRC_URI="https://github.com/spyking-circus/spyking-circus/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="CeCILL-2"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/spyking-circus/
@ 2022-01-31 12:39 Andrew Ammerlaan
  0 siblings, 0 replies; 7+ messages in thread
From: Andrew Ammerlaan @ 2022-01-31 12:39 UTC (permalink / raw
  To: gentoo-commits

commit:     9fcb881685c5b2c5997ec08032b6c56d3c7173b5
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 31 12:38:06 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Jan 31 12:39:17 2022 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=9fcb8816

sci-libs/spyking-circus: bump to 1.1.0

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 ...pyking-circus-1.0.6.ebuild => spyking-circus-1.1.0.ebuild} | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

diff --git a/sci-libs/spyking-circus/spyking-circus-1.0.6.ebuild b/sci-libs/spyking-circus/spyking-circus-1.1.0.ebuild
similarity index 81%
rename from sci-libs/spyking-circus/spyking-circus-1.0.6.ebuild
rename to sci-libs/spyking-circus/spyking-circus-1.1.0.ebuild
index f453c6986..3d7feaaf0 100644
--- a/sci-libs/spyking-circus/spyking-circus-1.0.6.ebuild
+++ b/sci-libs/spyking-circus/spyking-circus-1.1.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..10} )
 
 inherit distutils-r1
 
@@ -15,7 +15,7 @@ LICENSE="CeCILL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
-# TODO: Fix this
+# Wants to run mpirun (and fails)
 RESTRICT="test"
 
 RDEPEND="
@@ -26,13 +26,10 @@ RDEPEND="
 	>=dev-python/matplotlib-2.2.4[${PYTHON_USEDEP}]
 	>=dev-python/mpi4py-3.0.0[${PYTHON_USEDEP}]
 	>=dev-python/numpy-1.17.4[${PYTHON_USEDEP}]
-	>=dev-python/pandas-0.21[${PYTHON_USEDEP}]
 	>=dev-python/psutil-5.6.7[${PYTHON_USEDEP}]
 	>=dev-python/statsmodels-0.10.1[${PYTHON_USEDEP}]
 	>=dev-python/tqdm-4.40.0[${PYTHON_USEDEP}]
 	>=dev-python/scipy-1.3.1[${PYTHON_USEDEP}]
-	>=sci-libs/scikit-learn-0.21.3
-	|| ( <=sys-cluster/openmpi-3.0.0 >=sys-cluster/mpich-2.0 )
 "
 DEPEND="${RDEPEND}"
 


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/spyking-circus/
@ 2024-02-29  1:17 Horea Christian
  0 siblings, 0 replies; 7+ messages in thread
From: Horea Christian @ 2024-02-29  1:17 UTC (permalink / raw
  To: gentoo-commits

commit:     86470a713355810e48fc85922f5f40b3f9b2b489
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Thu Feb 29 01:16:57 2024 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Thu Feb 29 01:16:57 2024 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=86470a71

sci-libs/spyking-circus: unkeyword 1.1.0 for ~x86

Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/spyking-circus/spyking-circus-1.1.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/spyking-circus/spyking-circus-1.1.0.ebuild b/sci-libs/spyking-circus/spyking-circus-1.1.0.ebuild
index 976a8535b..9b9233020 100644
--- a/sci-libs/spyking-circus/spyking-circus-1.1.0.ebuild
+++ b/sci-libs/spyking-circus/spyking-circus-1.1.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/spyking-circus/spyking-circus/archive/${PV}.tar.gz -
 
 LICENSE="CeCILL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64"
 
 # Wants to run mpirun (and fails)
 RESTRICT="test"
@@ -27,7 +27,7 @@ RDEPEND="
 	>=dev-python/mpi4py-3.0.0[${PYTHON_USEDEP}]
 	>=dev-python/numpy-1.17.4[${PYTHON_USEDEP}]
 	>=dev-python/psutil-5.6.7[${PYTHON_USEDEP}]
-	>=dev-python/statsmodels-0.10.1[${PYTHON_USEDEP}]
+	dev-python/statsmodels[${PYTHON_USEDEP}]
 	>=dev-python/tqdm-4.40.0[${PYTHON_USEDEP}]
 	>=dev-python/scipy-1.3.1[${PYTHON_USEDEP}]
 "


^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2024-02-29  1:17 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-12-06  4:48 [gentoo-commits] proj/sci:master commit in: sci-libs/spyking-circus/ Horea Christian
  -- strict thread matches above, loose matches on Subject: below --
2024-02-29  1:17 Horea Christian
2022-01-31 12:39 Andrew Ammerlaan
2021-01-10 18:45 Andrew Ammerlaan
2020-12-31 13:54 Aisha Tammy
2020-03-24 23:02 Horea Christian
2019-10-08 14:43 Horea Christian

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox